import request from '@/utils/request'

// 查询健康告警处理列表
export function listHealthsolve(query) {
  return request({
    url: '/system/healthsolve/list',
    method: 'get',
    params: query
  })
}

// 查询健康告警处理详细
export function getHealthsolve(id) {
  return request({
    url: '/system/healthsolve/' + id,
    method: 'get'
  })
}

// 新增健康告警处理
export function addHealthsolve(data) {
  return request({
    url: '/system/healthsolve',
    method: 'post',
    data: data
  })
}

// 修改健康告警处理
export function updateHealthsolve(data) {
  return request({
    url: '/system/healthsolve',
    method: 'put',
    data: data
  })
}

// 删除健康告警处理
export function delHealthsolve(id) {
  return request({
    url: '/system/healthsolve/' + id,
    method: 'delete'
  })
}
